
From: Roland Dreier <roland@topspin.com>

From: "Michael S. Tsirkin" <mst@mellanox.co.il>

We don't need to write to the ECR to clear events when using MSI-X, since we
never read the ECR anyway.

Signed-off-by: Michael S. Tsirkin <mst@mellanox.co.il>
Signed-off-by: Roland Dreier <roland@topspin.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/infiniband/hw/mthca/mthca_eq.c |    1 -
 1 files changed, 1 deletion(-)

diff -puN drivers/infiniband/hw/mthca/mthca_eq.c~infiniband-mthca-dont-write-ecr-in-msi-x-mode drivers/infiniband/hw/mthca/mthca_eq.c
--- 25/drivers/infiniband/hw/mthca/mthca_eq.c~infiniband-mthca-dont-write-ecr-in-msi-x-mode	2005-01-23 22:24:59.190725200 -0800
+++ 25-akpm/drivers/infiniband/hw/mthca/mthca_eq.c	2005-01-23 22:24:59.193724744 -0800
@@ -381,7 +381,6 @@ static irqreturn_t mthca_msi_x_interrupt
 	struct mthca_eq  *eq  = eq_ptr;
 	struct mthca_dev *dev = eq->dev;
 
-	writel(eq->ecr_mask, dev->hcr + MTHCA_ECR_CLR_OFFSET + 4);
 	mthca_eq_int(dev, eq);
 
 	/* MSI-X vectors always belong to us */
_
